%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define svnrev 2613

Summary:	Professional 3D collision detection library
Name:		bullet
Version:	2.81
Release:	%mkrel 3
License:	Zlib
Group:		System/Libraries
URL:		http://www.bulletphysics.com
Source0:	http://bullet.googlecode.com/files/%{name}-%{version}-rev%{svnrev}.tgz
Patch0:		bullet-2.77-extras-version.patch
BuildRequires:	doxygen
BuildRequires:	GL-devel
BuildRequires:	freeglut-devel
BuildRequires:	cmake
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	graphviz
BuildRequires:	perl-Template-Toolkit

%description
Bullet is a professional open source multi-threaded 
3D Collision Detection and Rigid Body Dynamics Library
for games and animation.

%package demo
Summary:	A demo programs using bullet library
Group:		Graphics/Utilities
Requires:	%{libname} = %{version}-%{release}

%description demo
A demo programs using bullet library.

%package -n %{libname}
Summary:	Professional 3D collision detection library
Group:		System/Libraries

%description -n %{libname}
Bullet 3D Game Multiphysics Library provides state of the art 
collision detection, soft body and rigid body dynamics.

* Modular extendible C++ design with hot-swap of most components
* Optimized back-ends with multi-threaded support for Playstation 3 
  Cell SPU and other platforms
* Discrete and continuous collision detection (CCD)
* Swept collision queries
* Ray casting with custom collision filtering
* Generic convex support (using GJK), capsule, cylinder, cone, sphere, 
  box and non-convex triangle meshes. 
* Rigid body dynamics including constraint solvers, generic 
  constraints, ragdolls, hinge, ball-socket
* Support for constraint limits and motors
* Soft body support including cloth, rope and deformable
* Bullet is integrated into Blender 3D and provides a Maya Plugin
* Supports import and export into COLLADA 1.4 Physics format
* Support for dynamic deformation of non-convex triangle meshes, by 
  refitting the acceleration structures 

The Library is free for commercial use and open source 
under the ZLib License.

%package -n %{develname}
Summary:	Development headers for bullet
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libxml2-devel

%description -n %{develname}
Development headers for bullet 3D collision library.

%prep
%setup -q -n %{name}-%{version}-rev%{svnrev}
%patch0 -p1
rm -f src/BulletMultiThreaded/GpuSoftBodySolvers/OpenCL/CMakeLists.txt Demos/OpenCLClothDemo/CMakeLists.txt

%build
%cmake \
	-DBUILD_EXTRAS=ON -DINCLUDE_INSTALL_DIR=%{_includedir}/bullet
%make

%install
cd build
%makeinstall_std

#install demos
mkdir -p %{buildroot}%{_bindir}
for i in `find -type f -name *Demo`; do
    install -m 755 $i %{buildroot}%{_bindir}/bullet-`basename $i`
done

# install libs from Extras
pushd Extras
find . -name '*.so*' -exec cp -a {} %{buildroot}%{_libdir} \;
popd
# install libs from Demos
pushd Demos
find . -name '*.so*' -exec cp -a {} %{buildroot}%{_libdir} \;
popd

pushd %{buildroot}%{_libdir}
for f in lib*.so.*.*
do
  ln -sf $f ${f%\.*}
done
popd

%files demo
%{_bindir}/%{name}-*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS README ChangeLog NEWS VERSION *.pdf
%dir %{_includedir}/%{name}
%{_libdir}/*.so
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.81-3.mga4
+ Revision: 503168
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.81-2.mga3
+ Revision: 347223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Nov 12 2012 dams <dams> 2.81-1.mga3
+ Revision: 317197
- fix %%group
- new version 2.81

* Mon May 28 2012 dams <dams> 2.80-1.mga3
+ Revision: 248658
- new version 2.80

* Tue Nov 29 2011 dams <dams> 2.79-2.mga2
+ Revision: 174175
- fix 'libOpenGLSupport.so' dependencie

* Tue Nov 29 2011 dams <dams> 2.79-1.mga2
+ Revision: 174095
- new version 2.79
- fix dependencies (Extras/*.so*)

* Fri Aug 26 2011 shadow95 <shadow95> 2.78-1.mga2
+ Revision: 135609
- import bullet-2.78
- change mesa-common-devel BR GL-devel
- add BR freeglut-devel
- clean spec
- imported package bullet

